package com.ssj.service.kmt.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.ssj.service.conch.parents.v1.dto.CompositionCommentModuleDTO;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class HomeworkPictureDto implements Serializable {
    private static final long serialVersionUID = 1L;
    private String homeworkPictureId;
    private String homeworkPicturePath;
    private String homeworkPictureEditPath;
    /**
     * 批改状态， 0默认， 1登记，2已反馈，3模糊， 4未勾选知识点， 5补拍， 6作业不全，7非学科作业 ，8该作业已被其他老师批改，9该作业其他老师未批改, 10不批改, 11有改动, 12质检员已修改，13已质检不能二次批改
     */
    private int type;

    /**
     * 辅助批改类型，1已分配匹配老师不能勾选对错题， 2已匹配的有改动，3未匹配的有改动
     */
    private int secondType;
    /**
     * 识别类型， 0识别中，1识别成功，2识别失败， 3未匹配到练习册
     */
    private int discernType;
    private int isFeedback;
    private int isVague;
    private int isCheckIn;
    private String bookId;
    private String unitId ;
    private String periodId;
    private List<Integer> pageIndexs;
    private List<CompositionCommentModuleDTO> compositionCommentModuleList = new ArrayList<>();
    private int semester;
    private String grade;
    private int version;
    private String defaultTitle;
    private List<String> questionIds = new ArrayList<>();


    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getHomeworkPicturePath() {
        return homeworkPicturePath;
    }

    public void setHomeworkPicturePath(String homeworkPicturePath) {
        this.homeworkPicturePath = homeworkPicturePath;
    }

    public String getHomeworkPictureEditPath() {
        return homeworkPictureEditPath;
    }

    public void setHomeworkPictureEditPath(String homeworkPictureEditPath) {
        this.homeworkPictureEditPath = homeworkPictureEditPath;
    }

    @JSONField(serialize=false)
    public int getIsFeedback() {
        return isFeedback;
    }

    public void setIsFeedback(int isFeedback) {
        this.isFeedback = isFeedback;
    }

    @JSONField(serialize=false)
    public int getIsVague() {
        return isVague;
    }

    public void setIsVague(int isVague) {
        this.isVague = isVague;
    }

    @JSONField(serialize=false)
    public int getIsCheckIn() {
        return isCheckIn;
    }

    public void setIsCheckIn(int isCheckIn) {
        this.isCheckIn = isCheckIn;
    }

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getPeriodId() {
        return periodId;
    }

    public void setPeriodId(String periodId) {
        this.periodId = periodId;
    }

    public List<Integer> getPageIndexs() {
        return pageIndexs;
    }

    public void setPageIndexs(List<Integer> pageIndexs) {
        this.pageIndexs = pageIndexs;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public List<CompositionCommentModuleDTO> getCompositionCommentModuleList() {
        return compositionCommentModuleList;
    }

    public void setCompositionCommentModuleList(List<CompositionCommentModuleDTO> compositionCommentModuleList) {
        this.compositionCommentModuleList = compositionCommentModuleList;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public int getDiscernType() {
        return discernType;
    }

    public void setDiscernType(int discernType) {
        this.discernType = discernType;
    }

    public String getDefaultTitle() {
        return defaultTitle;
    }

    public void setDefaultTitle(String defaultTitle) {
        this.defaultTitle = defaultTitle;
    }

    public List<String> getQuestionIds() {
        return questionIds;
    }

    public void setQuestionIds(List<String> questionIds) {
        this.questionIds = questionIds;
    }

    public int getSecondType() {
        return secondType;
    }

    public void setSecondType(int secondType) {
        this.secondType = secondType;
    }
}
